#include "Logger.h"

string logList;

void Logger::writeToLog(string type, string in) {
    logList += type + ": " + in + "\n";
}

string Logger::getLog() {
    return logList;
}

void Logger::toggleDebugPrint() {
    isDebug = !isDebug;
}

void Logger::error(string in) {
    cout << "Error: " + in + "\n";
    writeToLog("Error", in);
}

void Logger::fatalError(string in, int code) {
    cout << "Error: " + in + "\n";
    writeToLog("Error", in);
    exit(code);
}

void Logger::info(string in) {
    cout << "Info: " + in + "\n";
    writeToLog("Info", in);
}

void Logger::debug(string in) {
    if (isDebug) cout << "Debug: " + in + "\n";
    writeToLog("Debug", in);
}